Subject: RE: [Geopriv] "PossibyMobile" attribute in PIDF-LO

From: "Roger Marshall" <[email-masked]>
Date: Wed, 23 Aug 2006 07:30:28 -0700

Brian:
It sounds like you're saying, "since it May be mobile, then treat it as
mobile".

Why not simply call it, "mobile", there doesn't seem to be a difference
between doing a location refresh (update) for a client that might be
mobile, and one that is known to be mobile.

Roger Marshall

>-----Original Message-----
>From: Rosen, Brian [mailto:[email-masked]] 
>Sent: Wednesday, August 23, 2006 6:46 AM
>To: GEOPRIV
>Subject: [Geopriv] "PossibyMobile" attribute in PIDF-LO
>
>We need a flag in PIDF-LO that indicates that the location 
>supplied may change over time periods of less than normal 
>lease times of IP addresses.  It can't be reliable, that is, 
>it can't guarantee the location WILL change, only that it 
>could, and therefore needs to be refreshed before it is used.
>
>Take the following scenario:
>
>A hardwired VoIP phone, sold for use in a fixed enterprise 
>environment is connected to an Ethernet switch, which is 
>plugged into a small router.  The router uplink is a GPRS (or 
>EvDO, or Satellite) radio modem.  The entire network is 
>installed in an RV, and is "moving down the highway, looking 
>for adventure" in Montana.  The phone is on a VPN to an IP-PBX 
>located in, of course, Sierra Leone.
>
>Let's say the phone acquired its location from somewhere.  For 
>the moment, don't worry about how that happened.  Suppose the 
>phone makes an emergency call.
>
>Somehow, the phone has to know it should retry its location 
>acquisition query and get a new location before it places the 
>call.  That's what the flag is for.
>
>We'll also need this flag in the DHCP location options, and 
>someone ought to tell the LLDP-MED guys.
>
>Brian
>
>_______________________________________________
>Geopriv mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/geopriv
>

_______________________________________________
Geopriv mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/geopriv

---

From: Ted Hardie <[email-masked]>
Date: Wed, 23 Aug 2006 11:44:02 -0700

>mobile, and one that is known to be mobile.

I agree with Roger.  "mobile" is a characteristic meaning "movable";
it does not always mean that something is in motion or that it moves
with any consistency.  If you feel that we need a characteristic for
"movable", let's discuss that, rather than "possibly movable".

Past that, though, I am concerned that we are fixing this in the wrong
layer.  The key element you want is to  update the location  provided
to a device when its geographic location has changed but its place in
the network topology has not.   GML has facilities for both motion and
validity periods that we chose not to pull in to PIDF-LO; now you seem to be
saying that in the absence of those we should create a trigger that must
fire either before every communication or after some TTL.  The first risks
increasing latency at a critical moment, and the second is largely wasted
traffic.  Why is the right answer not either adopting the GML facilities or
recommending folks use location provision mechanisms capable of update
if they are "movable" without changes to their place in the topology?

				regards,
					Ted Hardie